Export in JavaScript Barcode control

18 Nov 20181 minute to read

Export barcode as an image and base64 string is common for barcode,QRcode and datamatrix. The following code samples explain how to export barcode as an image and base64 string.

Export

Barcode provides the support to export its content as an image in the specified image type and downloads it in the browser.
The following code example shows how to export the barcode as an image

import { BarcodeGenerator, BarcodeExportType } from '@syncfusion/ej2-barcode-generator';

let barcode: BarcodeGenerator = new BarcodeGenerator({
    width: '200px', height: '150px',
    type: 'Code39',
    value: 'BARCODE',
    displayText: { text: 'ABCD' },
});
barcode.appendTo('#element');
let filename: string = 'Export';
barcode.exportImage(filename,'JPG');

The filename specifies the name of the file to be downloaded.

Export As Base64String

Barcode provides the support to export its content as an image in the specified image type and returns it as base64 string.

The following code example shows how to export the barcode as a base64 string

import { BarcodeGenerator, BarcodeExportType } from '@syncfusion/ej2-barcode-generator';

let barcode: BarcodeGenerator = new BarcodeGenerator({
    width: '200px', height: '150px',
    type: 'Code39',
    value: 'BARCODE',
    displayText: { text: 'ABCD' },
});
barcode.appendTo('#element');
async function () {
// Can able to store the return base64 string in variable
var data = await barcode.exportAsBase64Image('JPG');
};

Note:
Format is to specify the type or format of the exported file. You can export the barcode to the following formats:

  • JPG.
  • PNG.

Export in React Barcode component

18 Nov 20181 minute to read

Export barcode as an image and base64 string is common for barcode,QRCode and datamatrix. The following code samples explain how to export the barcode as an image and base64 string.

Export

Barcode provides the support to export its content as an image in the specified image type and downloads it in the browser.
The following code example shows how to export the barcode as an image

let barcodeInstance;
ReactDOM.render(
  <BarcodeGeneratorComponent
  id="barcode"
  ref={barcode => (barcodeInstance = barcode)}
  width={"200px"}
  height={"150px"}
  type='Code39'
  value='SYNCFUSION'
  ></BarcodeGeneratorComponent>,
document.getElementById("barcode")
);
let filename = 'Export';
barcodeInstance.exportImage(filename,'JPG');

The filename specifies the name of the file to be downloaded

Export As Base64String

Barcode provides support to export its content as an image in the specified image type and returns it as base64 string.
The following code example illustrates how to export the barcode as a base64 string

let barcodeInstance;
ReactDOM.render(
  <BarcodeGeneratorComponent
    id="barcode"
    ref={barcode => (barcodeInstance = barcode)}
    width={"200px"}
    height={"150px"}
    type='Code39'
    value='SYNCFUSION'
    ></BarcodeGeneratorComponent>,
document.getElementById("barcode")
);
base64string();
async function base64string() {
let base64 = await barcodeInstance.exportAsBase64Image('JPG');
console.log(base64);
};

Note:
Format is to specify the type or format of the exported file. You can export the barcode to the following formats:

  • JPG.
  • PNG.

Export in Angular Barcode component

18 Nov 20183 minutes to read

The Angular Barcode component provides robust export functionality that allows developers to save barcode content as image files or retrieve it as base64 strings. This feature is essential for applications that need to store, share, or integrate barcode data with external systems.

Export as Image File

The Barcode component supports exporting content as downloadable image files in various formats. This method is ideal when users need to save barcodes locally for printing, documentation, or offline use.

The following code example demonstrates how to export a barcode as an image file:

import { Component,ViewChild } from '@angular/core';
import { BarcodeGeneratorComponent } from '@syncfusion/ej2-angular-barcode-generator';
import { ClickEventArgs, } from '@syncfusion/ej2-navigations';

@Component({
  selector: "app-container",
  // specifies the template string for the barcode generator component
  template: `
    <div class="col-xs-12 col-sm-12 col-lg-6 col-md-6">
        <button type="button" (click)="onClick()" id="btn">Export</button>
    </div>
    <div>
        <ejs-barcodegenerator style="display: block;" #barcode id="barcode" width="200px" height="150px" mode="SVG" type="Codabar" value="123456789">
        </ejs-barcodegenerator>
    </div>`
})
export class AppComponent {
  @ViewChild('barcode')
  public barcode: BarcodeGeneratorComponent;
  public data: string;
  public filename = 'Export';
  public onClick(){
    this.barcode.exportImage(this.filename,'PNG');
  };
}

The filename parameter specifies the name of the downloaded file, while the second parameter determines the image format (PNG, JPG, etc.).

Export as Base64 String

The base64 export method converts barcode content into a base64-encoded string format. This approach is particularly useful for web applications that need to embed barcode images directly into HTML, send them via APIs, or store them in databases without creating separate image files.

The following code example shows how to export a barcode as a base64 string:

import { Component,ViewChild } from '@angular/core';
import { BarcodeGeneratorComponent } from '@syncfusion/ej2-angular-barcode-generator';
import { ClickEventArgs, } from '@syncfusion/ej2-navigations';

@Component({
  selector: "app-container",
  // specifies the template string for the barcode generator component
  template: `
    <div class="col-xs-12 col-sm-12 col-lg-6 col-md-6">
        <button type="button" (click)="onClick()" id="btn">Export</button>
    </div>
    <div>
        <ejs-barcodegenerator style="display: block;" #barcode id="barcode" width="200px" height="150px" mode="SVG" type="Codabar" value="123456789">
        </ejs-barcodegenerator>
    </div>`
})
export class AppComponent {
    @ViewChild('barcode')
    public barcode: BarcodeGeneratorComponent;
    public data: string ;
    public filename = 'Export';
    async onClick(){
        this.data = await this.barcode.exportAsBase64Image('JPG');
    };
}

Note:
The format parameter specifies the type of the exported image. Both PNG and JPG formats are supported for export operations. Choose PNG for better quality and transparency support, or JPG for smaller file sizes.